package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 销售合同-补充货物信息表
 * </p>
 *
 * @author daxian
 * @since 2022-03-03
 */
@TableName("c_sales_contract_supplement_goods_info")
public class SalesContractSupplementGoodsInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 货物名称
     */
    @TableField("goods_name")
    private String goodsName;

    /**
     * 厂家
     */
    @TableField("goods_factory")
    private String goodsFactory;

    /**
     * 型号
     */
    @TableField("model_number")
    private String modelNumber;

    /**
     * 单位
     */
    @TableField("units")
    private String units;

    /**
     * 数量
     */
    @TableField("quantity")
    private String quantity;

    /**
     * 是否明确单价，0:否 1:是
     */
    @TableField("is_clear_price")
    private Integer clearPrice;

    /**
     * 销售单价
     */
    @TableField("sales_price")
    private String salesPrice;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 销售合同变更基础信息表Id
     */
    @TableField("c_sales_contract_supplement_basic_info_id")
    private Long cSalesContractSupplementBasicInfoId;

    /**
     * 是否补充货物 0 不是 1 是
     */
    @TableField("")
    private Boolean supplement;

    /**
     * 是否被占用 1 是 0 否
     */
    @TableField("occupy")
    private Integer occupy;

    public SalesContractSupplementGoodsInfo() {
    }

    public Boolean getSupplement() {
        return supplement;
    }

    public void setSupplement(Boolean supplement) {
        this.supplement = supplement;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }

    public String getModelNumber() {
        return modelNumber;
    }

    public void setModelNumber(String modelNumber) {
        this.modelNumber = modelNumber;
    }

    public String getUnits() {
        return units;
    }

    public void setUnits(String units) {
        this.units = units;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(String salesPrice) {
        this.salesPrice = salesPrice;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getcSalesContractSupplementBasicInfoId() {
        return cSalesContractSupplementBasicInfoId;
    }

    public void setcSalesContractSupplementBasicInfoId(Long cSalesContractSupplementBasicInfoId) {
        this.cSalesContractSupplementBasicInfoId = cSalesContractSupplementBasicInfoId;
    }

    public Integer getClearPrice() {
        return clearPrice;
    }

    public void setClearPrice(Integer clearPrice) {
        this.clearPrice = clearPrice;
    }

    public Integer getOccupy() {
        return occupy;
    }

    public void setOccupy(Integer occupy) {
        this.occupy = occupy;
    }

    @Override
    public String toString() {
        return "SalesContractSupplementGoodsInfo{" +
                "goodsName=" + goodsName +
                ", goodsFactory=" + goodsFactory +
                ", modelNumber=" + modelNumber +
                ", units=" + units +
                ", quantity=" + quantity +
                ", clearPrice=" + clearPrice +
                ", salesPrice=" + salesPrice +
                ", remark=" + remark +
                "}";
    }
}
